Ubuntu 发行版升级到intropid后,VirtualBox内核不匹配了

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
hugh_h_chen
帖子: 26
注册时间: 2008-05-13 14:55
送出感谢: 0
接收感谢: 0

Ubuntu 发行版升级到intropid后,VirtualBox内核不匹配了

#1

帖子 hugh_h_chen » 2008-08-29 15:30

Ubuntu 发行版升级后 kernel 到了linux 2.16.27-1了,VirtualBox启动不了了。没有了对应的kernel,安装了VirtualBox的OSE版本也就支持到lixnu 2.16.24-5的 kernel内核。现在麻烦死了,还要启动的时候选择老的内核,新的内核不想删除。。。。看来要等到10月份intropid正式发行的时候才会有对应的VirtualBox内核了。不知道我的假设是否对?
头像
Ur@nus
帖子: 622
注册时间: 2006-12-01 23:02
送出感谢: 0
接收感谢: 0

#2

帖子 Ur@nus » 2008-08-29 16:15

因为Virtualbox安装时都要建一个和内核匹配的模块,内核升级了模块也就不对应了,Vbox就运行不了了,重装一次就好了,建议先卸载再重新安装,
ps:不要彻底删除,保留家目录下的配置文件。
xeoc
帖子: 1994
注册时间: 2007-05-06 10:12
送出感谢: 0
接收感谢: 0

#3

帖子 xeoc » 2008-08-29 16:22

- -! ose版的话下载源码自己编译内核模块,闭源版有个命令来着
头像
sinyadvan
帖子: 724
注册时间: 2008-04-02 15:36
来自: O_O
送出感谢: 0
接收感谢: 0

#4

帖子 sinyadvan » 2008-08-29 16:32

代码: 全选

sudo apt-get install linux-headers-$(uname -r) --reinstall

sudo /etc/init.d/vboxdrv setup
^o^ && O_O && ^_^
One World|One Dream|One Piece
愛 ^_^ 這個 美麗的世界O_O

本公司专治各种不服、不爽、谩骂、挑衅。
回复

回到 “虚拟机和虚拟化”